> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Employer Aliases

> Accepts a list of employer company identifiers and returns their corresponding UUIDs



## OpenAPI

````yaml POST /v1/employer-identifiers/employer-aliases/resolve
openapi: 3.1.0
info:
  title: Payroll Integrations Public API
  description: Public API for Payroll Integrations platform
  version: '2025-10-28T20:05:03Z'
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Prod environment
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo environment
security:
  - bearerAuth: []
paths:
  /v1/employer-identifiers/employer-aliases/resolve:
    post:
      tags:
        - Employer Identifiers
      summary: Resolve employer aliases
      description: >-
        Accepts a list of employer company identifiers and returns their
        corresponding UUIDs
      operationId: resolveEmployerAliases
      requestBody:
        required: true
        description: >-
          Contains a list of employer company identifiers to match to their
          corresponding UUIDs
        content:
          application/json:
            schema:
              $ref: 4a930aca-6930-445a-9b45-ad14bf9ea273
            example:
              aliases:
                - type: IDENTIFIER
                  value: ACME12345
                - type: IDENTIFIER
                  value: ACME67890
      responses:
        '200':
          description: >-
            Resolved employer identifier mappings for each provided identifier,
            returns null if no match is found
          content:
            application/json:
              schema:
                $ref: 6e408891-9df7-4a37-bbc5-03e74722110c
              example:
                data:
                  - alias:
                      type: IDENTIFIER
                      value: ACME12345
                    employerIdentifier: 01936a3f-0001-4000-8000-000000000001
                  - alias:
                      type: IDENTIFIER
                      value: ACME67890
                    employerIdentifier: null
        '400':
          description: Bad Request - Invalid request body or validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - authentication credentials are missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Error message describing what went wrong
        errors:
          type: array
          description: Optional array of detailed error messages
          items:
            type: string

````